Page MenuHomePhabricator

Abusefilter moved_to_namespace variable has unexpected values
Closed, ResolvedPublic

Description

Abuse Filter is showing unexpected values for to moved_to_namespace following move actions.

Different, but still unexpected, behavior when moving with or with out redirects.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterInterpret data correctly in getMoveVarsFromRCRow()

Event Timeline

Xaosflux created this task.Dec 19 2015, 4:12 AM
Xaosflux raised the priority of this task from to Needs Triage.
Xaosflux updated the task description. (Show Details)
Xaosflux added a project: AbuseFilter.
Xaosflux added a subscriber: Xaosflux.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 19 2015, 4:12 AM
Xaosflux updated the task description. (Show Details)Dec 19 2015, 3:04 PM
Xaosflux set Security to None.

Additional test cases added, verified behavior is also present on test.wikipedia.org

What are the values? The links in description point to nothing for me.

Looks like the logged wrapped since that report, I'll have to regenerate the tests and document. IIRC, the variable was blank instead of populated.

OK duplicated, moved a page on enwiki from Main (NS:0) wo Wikipedia (NS:4)

Standard move with redirect :

Edit filter shows (https://en.wikipedia.org/wiki/Special:AbuseFilter/examine/812428331)

Namespace of move destination page (moved_to_namespace): 0

Similar move without redirect :

Edit filter shows (https://en.wikipedia.org/wiki/Special:AbuseFilter/examine/812429316)

Namespace of move destination page (moved_to_namespace): 1
Xaosflux updated the task description. (Show Details)Apr 3 2016, 1:56 PM

This is broken since 6c89ccc2fe032acfe7b269543e69d78706ad1d0b (https://gerrit.wikimedia.org/r/#/c/104706/), but then, that patch claims to "Make MOVED_TO* var generating from RecentChanges working", so presumably it was broken in a different way before. It's interpreting log parameters wrong, treating the with/without-redirect value (0 or 1) as if it was a namespace (main or Talk).

matmarex claimed this task.Apr 4 2016, 6:28 PM

Change 281483 had a related patch set uploaded (by Bartosz Dziewoński):
Interpret data correctly in getMoveVarsFromRCRow()

https://gerrit.wikimedia.org/r/281483

I think this only affects Special:AbuseFilter/examine, and not the actual filter matching.

It appears the AF is failing to match when using that variable in a rule - assuming that the /examine is reporting what the variable is?

I think /examine is lying. :)

My bad. Sorry :/

matmarex triaged this task as Medium priority.Apr 5 2016, 10:01 PM

Change 281483 merged by jenkins-bot:
Interpret data correctly in getMoveVarsFromRCRow()

https://gerrit.wikimedia.org/r/281483

matmarex closed this task as Resolved.Apr 9 2016, 10:34 AM
matmarex removed a project: Patch-For-Review.

This bug has been fixed and the fix will be deployed to Wikimedia wikis this week, with MediaWiki version 1.27.0-wmf.21, per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap.